Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsFAXNumber

    java.lang.Object
      |
      +--com.novell.service.nds.NdsFAXNumber

public class NdsFAXNumber
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to values of the FAX Number attribute. It is used for attributes whose values are strings that comply with the format for international telephone numbers, E.123, and an optional bit string formatted according to Recommendation T.30.

Fax telephone number values are matched based on the telephone number field. The rules for matching fax telephone numbers are identical to those for the Case Exact String syntax except that all space and hyphen (-) characters are skipped during the comparison.

Matching Rules: Equality

See Also:
  `NdsSyntaxId`

Constructor Summary
`NdsFAXNumber(java.lang.String telephoneNumber, long bitCount, byte[] parameters)` Constructs an NdsFAXNumber object based on the specified telephoneNumber, bitCount, and parameters variables.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`long` | `getBitCount()` Returns the long value of bitCount stored in the NDS attribute.
`int` | `getNdsSyntaxId()` Returns the int that represents the NDS syntaxId.
`byte[]` | `getParameters()` Returns the byte array of parameters stored in the NDS attribute.
`java.lang.String` | `getTelephoneNumber()` Returns the String value of telephoneNumber stored in the NDS attribute.
`` | `getValue(java.lang.String compositeId)` Returns a SchemaValue object based on the given passed-in string containing the element value.
`java.util.Enumeration` | `getValueIds()` Returns an enumeration of element IDs in this composite.
`java.util.Enumeration` | `getValues()` Returns an enumeration of element values in this composite.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates a string representation of the object.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsFAXNumber

    public NdsFAXNumber(java.lang.String telephoneNumber,
                        long bitCount,
                        byte[] parameters)

  Constructs an NdsFAXNumber object based on the specified telephoneNumber, bitCount, and parameters variables.
  Parameters:
    `telephoneNumber` - Telephone number to be stored as a String.
    `bitCount` - Bit count to be stored as a long.
    `parameters` - Byte array of parameters(bit string and its length).

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the NdsFAXNumber syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValue

    public  getValue(java.lang.String compositeId)

  Returns a SchemaValue object based on the given passed-in string containing the element value. The SchemaValue object is a Java language data type.
  Specified by:
    getValue in interface
  Parameters:
    `compositeId` - Passed-in string containing the element value.
  Returns:
    A SchemaValue object containing the telephoneNumber, bitCount and parameters, or NULL.

### getValueIds

    public java.util.Enumeration getValueIds()

  Returns an enumeration of element IDs in this composite.
  Specified by:
    getValueIds in interface
  Returns:
    An enumeration of element IDs.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of element values in this composite.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of element values telephoneNumber and bitCount.

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the NdsFAXNumber syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents the NDS syntaxId.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules.

  The NdsFaxNumber syntax supports only the equality matching rule.

  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.

### toString

    public java.lang.String toString()

  Generates a string representation of the object. It returns a string that textually represents the object. The result should be a concise but informative representation that is easy to read.
  Returns:
    The String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getTelephoneNumber

    public java.lang.String getTelephoneNumber()

  Returns the String value of telephoneNumber stored in the NDS attribute.
  Returns:
    The String value of telephoneNumber.

### getBitCount

    public long getBitCount()

  Returns the long value of bitCount stored in the NDS attribute.
  Returns:
    The long value of bitCount.

### getParameters

    public byte[] getParameters()

  Returns the byte array of parameters stored in the NDS attribute.
  Returns:
    The byte array of parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD